### Function Macro

# Vips REGION_ADDR

#### Declaration [src]

    #define VIPS_REGION_ADDR (
      R,
      X,
      Y
    )

#### Description [src]

This macro returns a pointer to a pixel in a region. The (`X`, `Y`) coordinates need to be within the `VipsRect` (`R`->valid).

If DEBUG is defined, you get a version that checks bounds for you.

See also

`vips_region_prepare()`.

This function is not directly available to language bindings.

#### Parameters

`R`

  Type: `-`

  A `VipsRegion`.

`X`

  Type: `-`

  X coordinate.

`Y`

  Type: `-`

  Y coordinate.